<?php

/**
 * Silk Blog x Theme: Block Patterns
 *
 * @package WordPress
 * @subpackage silkblogtr
 * @since silk blog tr 1.0
 */

/**
 * Register Block Pattern Category.
 */
if (function_exists('register_block_pattern_category')) {

    register_block_pattern_category(
        'silkblogx',
        array('label' => __('Silk Blog X', 'silkblog-x'))
    );
}

/**
 * Register Block Patterns.
 */
if (function_exists('register_block_pattern')) {
    register_block_pattern(
        'silkblogx/featured-section-silkblog',
        array(
            'title'      => __('Featured Section', 'silkblog-x'),
            'categories' => array('silkblogx'),
            'content'    => '<!-- wp:group {"align":"full","style":{"spacing":{"padding":{"top":"var:preset|spacing|30","right":"var:preset|spacing|30","bottom":"var:preset|spacing|30","left":"var:preset|spacing|30"},"blockGap":"0"}},"layout":{"type":"constrained"}} -->
            <div class="wp-block-group alignfull" style="padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)">
            <!-- wp:columns {"verticalAlignment":"center","align":"full"} -->
            <div class="wp-block-columns alignfull are-vertically-aligned-center"><!-- wp:column {"verticalAlignment":"center","style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"var:preset|spacing|40"}}},"layout":{"type":"default"}} -->
            <div class="wp-block-column is-vertically-aligned-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:var(--wp--preset--spacing--40)"><!-- wp:heading {"textAlign":"center"} -->
            <h2 class="has-text-align-center">' . __('Lorem Ipsum', 'silkblog-x') . '</h2>
            <!-- /wp:heading -->
            
            <!-- wp:paragraph {"align":"center","style":{"typography":{"fontSize":"18px"}}} -->
            <p class="has-text-align-center" style="font-size:18px">
            ' . __('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis eget ligula ultricies, sodales massa at, vehicula libero. Curabitur vehicula luctus elit a sagittis.&nbsp;', 'silkblog-x') . '
            </p>
            <!-- /wp:paragraph -->
            
            <!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center","verticalAlignment":"center","orientation":"vertical"},"style":{"spacing":{"blockGap":"18px"},"typography":{"fontSize":"18px"}}} -->
            <div class="wp-block-buttons has-custom-font-size" style="font-size:18px"><!-- wp:button {"backgroundColor":"black","textColor":"white","style":{"border":{"radius":{"topRight":"15px","topLeft":"0px","bottomRight":"0px","bottomLeft":"15px"}},"typography":{"fontSize":"18px"}},"className":"is-style-outline"} -->
            <div class="wp-block-button has-custom-font-size is-style-outline" style="font-size:18px">
            <a class="wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button" href="#" style="border-top-left-radius:0px;border-top-right-radius:15px;border-bottom-left-radius:15px;border-bottom-right-radius:0px" target="_blank" rel="noreferrer noopener">
            ' . __('Learn More', 'silkblog-x') . '</a></div>
            <!-- /wp:button --></div>
            <!-- /wp:buttons --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"verticalAlignment":"center","style":{"spacing":{"padding":{"right":"var:preset|spacing|40"}}},"layout":{"type":"constrained","wideSize":"50vw","contentSize":"50vw","justifyContent":"center"}} -->
            <div class="wp-block-column is-vertically-aligned-center" style="padding-right:var(--wp--preset--spacing--40)"><!-- wp:image {"align":"center","id":null,"sizeSlug":"full","linkDestination":"none"} -->
            <figure class="wp-block-image aligncenter size-full">
            <img src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/block.jpeg" alt="' . __('Black Stripes', 'silkblog-x') . '" /></figure>
            <!-- /wp:image --></div>
            <!-- /wp:column --></div>
            <!-- /wp:columns --></div>
            <!-- /wp:group -->
           ',
        )
    );
    register_block_pattern(
        'silkblogx/latest-post-silkblog',
        array(
            'title'      => __('Latest Post', 'silkblog-x'),
            'categories' => array('silkblogx'),
            'content'    => '<!-- wp:latest-posts {"postsToShow":1,"displayPostContent":true,"excerptLength":45,"displayPostDate":true,"displayFeaturedImage":true,"featuredImageAlign":"left","featuredImageSizeSlug":"medium"} /-->
           ',
        )
    );
}
